Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

ImportError: Failed to find loader for 'tdbgtracer36' in '/home/ubuntu/.wingpro7/remote-7.0.2.0/src/debug/tserver/__os__/linux-x64'

Hi,

I was using Wing Pro 7, version 7.0.2.0, and the RPi4 as a remote host. The OS was 32bit. That was working fine.

I had to swap to a 64bit OS and now I get the following error while trying to start the debugger:

image description

When trying to open the Python shell, I get the following trace:

Traceback (most recent call last): File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 374, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 232, in _FindTracer File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 348, in _LoadModule ImportError: Failed to find loader for 'tdbgtracer36' in '/home/ubuntu/.wingpro7/remote-7.0.2.0/src/debug/tserver/__os__/linux-x64'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bootstrap/wingdb.py", line 135, in <module> from debug.tserver import startdebug File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/startdebug.py", line 16, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/abstract.py", line 19, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 397, in <module> ImportError: Failed to import tdbgtracer

Is this related to the fact I'm using a 64bit OS now?

PS: there was a related question already posted, but that was not solving my issue. The question can be found here.

I also gave some comments (similar to above, but less detail).

Best

ImportError: Failed to find loader for 'tdbgtracer36' in '/home/ubuntu/.wingpro7/remote-7.0.2.0/src/debug/tserver/__os__/linux-x64'

Hi,

I was using Wing Pro 7, version 7.0.2.0, and the RPi4 as a remote host. The OS was 32bit. That was working fine.

I had to swap to a 64bit OS and now I get the following error while trying to start the debugger:

image description

When trying to open the Python shell, I get the following trace:

Traceback (most recent call last): File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 374, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 232, in _FindTracer File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 348, in _LoadModule ImportError: Failed to find loader for 'tdbgtracer36' in '/home/ubuntu/.wingpro7/remote-7.0.2.0/src/debug/tserver/__os__/linux-x64'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bootstrap/wingdb.py", line 135, in <module> from debug.tserver import startdebug File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/startdebug.py", line 16, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/abstract.py", line 19, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 397, in <module> ImportError: Failed to import tdbgtracer

Is this related to the fact I'm using a 64bit OS now?

PS: there was a related question already posted, but that was not solving my issue. The question can be found here.

I also gave some comments (similar to above, but less detail).

PPS: when probing the remote host, all looks fine:

image description

Best

ImportError: Failed to find loader for 'tdbgtracer36' in '/home/ubuntu/.wingpro7/remote-7.0.2.0/src/debug/tserver/__os__/linux-x64'

Hi,

I was using Wing Pro 7, version 7.0.2.0, and the RPi4 as a remote host. The OS was 32bit. That was working fine.

I had to swap to a 64bit OS and now I get the following error while trying to start the debugger:

image description

When trying to open the Python shell, I get the following trace:

Traceback (most recent call last): File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 374, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 232, in _FindTracer File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 348, in _LoadModule ImportError: Failed to find loader for 'tdbgtracer36' in '/home/ubuntu/.wingpro7/remote-7.0.2.0/src/debug/tserver/__os__/linux-x64'

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bootstrap/wingdb.py", line 135, in <module> from debug.tserver import startdebug File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/startdebug.py", line 16, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/abstract.py", line 19, in <module> File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 314, in load_module mod = self._LoadWingCode(full_name, full_path, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 458, in _LoadWingCode return self._ExecMod(mod_name, compile_filename, co, is_pkg) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/wingbase/mergeimporter.py", line 492, in _ExecMod exec(co, mod.__dict__) File "/home/ubuntu/.wingpro7/remote-7.0.2.0/bin/dbg/src/debug/tserver/findmodules.py", line 397, in <module> ImportError: Failed to import tdbgtracer

Is this related to the fact I'm using a 64bit OS now?

PS: there was a related question already posted, but that was not solving my issue. The question can be found here.

I also gave some comments (similar to above, but less detail).

PPS: when probing the remote host, all looks fine:

image description

Best